Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#89 pp core on exit after failed ike

np-plutoplus
closed-duplicate
Robert Story
None
9
2003-04-23
2003-04-22
Robert Story
No

hitting ctrl-c to terminate a foreground pp process
after a failed negotiation results in a core dump during

last debug messages:
2003-04-21 13:10:19 pp:policy:status: policy 0x8334040
has rc in progress(1)
2003-04-21 13:10:19 pp:policy:memory: policy_free @
0x8334040
/root/doit: line -105: 2181 Segmentation fault
(core dumped) /usr/src/plutoplus/np-plutoplus -F -b 1
-L -Dpp,pol

(gdb) whe
#0 0x4207a3a9 in chunk_alloc () from /lib/i686/libc.so.6
#1 0x4207a058 in malloc () from /lib/i686/libc.so.6
#2 0x4206bb71 in fopen@@GLIBC_2.1 () from
/lib/i686/libc.so.6
#3 0x08113b00 in read_config_store (type=0x81acbd0
"np-plutoplus",
line=0x83041f0 "ipspEspTransformTable
.17.101.115.112.45.115.104.97.45.97.101.115.45.49.50.104.114.115
2:43200 3:0 4:12 5:32 6:16 7:2 8:1 9:16 11:3 12:1 $\n")
at read_config.c:1010
#4 0x080848fb in ipspEspTransformTable_row_save
(context=0x821dfa0, type=0x81acbd0) at
ipspEspTransformTable.c:230

NOTE that the row being saved seems to vary. I'm
guessing the policy_free seend in the debug earlier is
freeing something it shouldn't.

Discussion

  • Robert Story
    Robert Story
    2003-04-23

    • status: open --> closed-duplicate
     
  • Robert Story
    Robert Story
    2003-04-23

    Logged In: YES
    user_id=76148

    dup